calligra build fails due to kreport/kproperty

classic Classic list List threaded Threaded
3 messages Options
Dag
Reply | Threaded
Open this post in threaded view
|

calligra build fails due to kreport/kproperty

Dag
Hi, Jaroslaw
I get a build failure on build.kde.org probably because it tries to
build against kpropert/kreport master (3.0.90).
Plan needs the 3.0 branch. Do you have an idea how this can be solved?

Reply | Threaded
Open this post in threaded view
|

Re: calligra build fails due to kreport/kproperty

Jaroslaw Staniek-3


On 5 January 2017 at 13:36, Dag <[hidden email]> wrote:
Hi, Jaroslaw
I get a build failure on build.kde.org probably because it tries to build against kpropert/kreport master (3.0.90).
Plan needs the 3.0 branch. Do you have an idea how this can be solved?


​Ah sorry, Dag.​
We've switched from KReportPosition type to a plain QPointF in or 3.1 APIs: https://phabricator.kde.org/D3612

Please try to change to QPointF. If unsure, we can assinst in that later today.
(CC'd Adam)

--
regards, Jaroslaw Staniek

KDE:
: A world-wide network of software engineers, artists, writers, translators
: and facilitators committed to Free Software development - http://kde.org
Calligra Suite:
: A graphic art and office suite - http://calligra.org
Kexi:
: A visual database apps builder - http://calligra.org/kexi
Qt Certified Specialist:
: http://www.linkedin.com/in/jstaniek
Reply | Threaded
Open this post in threaded view
|

Re: calligra build fails due to kreport/kproperty

Jaroslaw Staniek-3


On 5 January 2017 at 14:07, Dag <[hidden email]> wrote:
Jaroslaw Staniek skrev den 2017-01-05 13:46:
On 5 January 2017 at 13:36, Dag <[hidden email]> wrote:

Hi, Jaroslaw
I get a build failure on build.kde.org [1] probably because it tries
to build against kpropert/kreport master (3.0.90).
Plan needs the 3.0 branch. Do you have an idea how this can be
solved?

​Ah sorry, Dag.​
We've switched from KReportPosition type to a plain QPointF in or 3.1
APIs: https://phabricator.kde.org/D3612

Please try to change to QPointF. If unsure, we can assinst in that
later today.
No, I *want* to build against the 3.0 branch, I don't switch to 3.1 until it is stable :)


OK. Then the task to do is changing the conf so stable.
None of us has rights so I published this for review:

https://phabricator.kde.org/D3983

Hope it's OK.

--
regards, Jaroslaw Staniek

KDE:
: A world-wide network of software engineers, artists, writers, translators
: and facilitators committed to Free Software development - http://kde.org
Calligra Suite:
: A graphic art and office suite - http://calligra.org
Kexi:
: A visual database apps builder - http://calligra.org/kexi
Qt Certified Specialist:
: http://www.linkedin.com/in/jstaniek